Bug 652968 - Labeling problem disallows login after upgrade
Summary: Labeling problem disallows login after upgrade
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 14
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 21:21 UTC by Máximo Castañeda
Modified: 2010-11-16 16:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-16 16:41:54 UTC


Attachments (Terms of Use)
output from sealert -l (2.61 KB, text/plain)
2010-11-13 23:02 UTC, Máximo Castañeda
no flags Details
anaconda.log, as requested (11.95 KB, text/plain)
2010-11-15 19:52 UTC, Máximo Castañeda
no flags Details
anaconda.syslog (89.27 KB, text/plain)
2010-11-15 19:57 UTC, Máximo Castañeda
no flags Details

Description Máximo Castañeda 2010-11-13 21:21:44 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.9.2.12) Gecko/20101027 Fedora/3.6.12-1.fc14 Firefox/3.6.12

After the upgrade from F13 to F14, a SELinux labelling problem makes impossible to login and ther's no indication of what the error is.

Reproducible: Didn't try

Steps to Reproduce:
1. Get a F13 system without enough RAM for graphical anaconda
2. preupgrade to F14
3. try to login after the upgrade
Actual Results:  
gdm restarts and shows again the list of users.  Login from the text console gives an error and immediately clears the screen and shows the login prompt again.

Expected Results:  
Login and enjoy the new version.

This was on a computer without the minimum RAM (has 256MB), and which had an external disk (unlabelled) attached during the upgrade, though that disk was only involved in providing swap, and had no partitions mounted.

Had to reboot in single user mode and relabel, and there was no indication in the moment the errors occured.

Given that by now I see no reports on this, it may be totally depending on all those special characteristics of my outdated hardware, and not be important enough.

Comment 1 Máximo Castañeda 2010-11-13 23:02:19 UTC
Created attachment 460275 [details]
output from sealert -l

Comment 2 Chris Lumens 2010-11-15 18:45:18 UTC
Can you attach /var/log/anaconda.log from after the upgrade is complete to this bug report?  Thanks.

Comment 3 Máximo Castañeda 2010-11-15 19:52:23 UTC
Created attachment 460622 [details]
anaconda.log, as requested

Comment 4 Máximo Castañeda 2010-11-15 19:57:52 UTC
Created attachment 460626 [details]
anaconda.syslog

Silly me, I should have attached these from the beginning.  There are a few oom-killer and segfault lines in this one.

Comment 5 Chris Lumens 2010-11-16 16:41:54 UTC
Yeah, there's simply not enough memory for us here which is leading to things like load_policy getting OOM killed.  That'd be why your labels are wrong, and there's really nothing we can do about it.  Sorry.


Note You need to log in before you can comment on or make changes to this bug.